OpenVDB 11.0.0

Loading...
Searching...
No Matches
IterTraits< NodeT, typename NodeT::ChildOnCIter > Struct Template Reference

`#include <openvdb/tree/TreeIterator.h>`

## Classes
struct | NodeConverter

## Public Types
using | IterT = typename NodeT::ChildOnCIter

## Static Public Member Functions
static IterT | begin (const NodeT &node)
template<typename ChildT>
static const ChildT * | getChild (const IterT &iter)

## Member Typedef Documentation

## ◆ IterT

template<typename NodeT>

using IterT = typename NodeT::ChildOnCIter

## Member Function Documentation

## ◆ begin()

template<typename NodeT>

IterT begin | ( | const NodeT & | node | ) |
| inline static

## ◆ getChild()

template<typename NodeT>
template<typename ChildT>

const ChildT * getChild | ( | const IterT & | iter | ) |
| inline static